%define oname   addressable

Name:       ruby-%{oname}
Version:    2.3.2
Release:    %mkrel 3
Summary:    A replacement for the URI implementation of Ruby's standard library
Group:      Development/Ruby
License:    MIT
URL:        http://addressable.rubyforge.org/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildRequires: rubygem(rspec) >= 2.0.0
BuildArch:  noarch

%description
Addressable is a replacement for the URI implementation that is part of
Ruby's standard library. It more closely conforms to the relevant RFCs and
adds support for IRIs and URI templates.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
# #patch0 -p0

%build
%gem_build

%install
%gem_install

%files
%doc CHANGELOG.md
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.md



%changelog

* Fri Feb 08 2013 umeabot <umeabot> 2.3.2-3.mga3
+ Revision: 395714
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.3.2-2.mga3
+ Revision: 380651
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 2.3.2-1.mga3
+ Revision: 312273
- new version 2.3.2

* Fri Jun 08 2012 shlomif <shlomif> 2.2.8-1.mga3
+ Revision: 257776
- sha1
- Moved the files sections to the bottom
- New version - 2.2.8

* Sat Apr 16 2011 shikamaru <shikamaru> 2.2.5-1.mga1
+ Revision: 86273
- New version 2.2.5
- rediff patch
- fix file list

* Tue Feb 15 2011 shikamaru <shikamaru> 2.2.4-1.mga1
+ Revision: 52042
- new version 2.2.4

* Thu Feb 03 2011 shikamaru <shikamaru> 2.2.2-3.mga1
+ Revision: 46745
- Add check section
- add patch to support rspec2
- add buildrequires
- bump release

* Tue Jan 25 2011 shikamaru <shikamaru> 2.2.2-2.mga1
+ Revision: 39113
- imported package ruby-addressable

